import knex from '../../../db/knex_router';
import * as connectors from '../connectors/connectors';

const GroupResolvers = {
    // @rights viewer(obj.uid)
    Group: {
        __resolveType: async (obj) => {
            switch (obj.type) {
            case "simple":
                return "SimpleGroup";
            case "meta":
                return "MetaGroup";
            }
        }
    },

    // @rights viewer(obj.uid)
    SimpleGroup: {
        members: (obj, args, context) => {
            return connectors.utilisateur.listMembers(context.bindUser, obj.uid);
        }
    },

    // @rights viewer(obj.uid)
    MetaGroup: {
        members: (obj, args, context) => {
        }
    }
};

export default GroupResolvers;